Get a parameters
GET
/v3/parameters
const url = 'https://example.com/v3/parameters?order_by=id&sort_order=asc¶meter_type=pollutant&coordinates=38.907%2C-77.037&radius=1000&bbox=-77.1200%2C38.7916%2C-76.9094%2C38.9955&iso=US&countries_id=1&limit=100&page=1';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v3/parameters?order_by=id&sort_order=asc¶meter_type=pollutant&coordinates=38.907%2C-77.037&radius=1000&bbox=-77.1200%2C38.7916%2C-76.9094%2C38.9955&iso=US&countries_id=1&limit=100&page=1' \ --header 'X-API-Key: <X-API-Key>'Provides a list of parameters
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” order_by
Any of:
ParametersSortFields
string
null
The field by which to order results
sort_order
parameter_type
coordinates
radius
bbox
iso
countries_id
Any of:
Array<integer>
null
Limit the results to a specific country or countries by country ID as a single country ID or a comma delimited list of IDs
limit
Limit
Change the number of results returned. e.g. limit=100 will return up to 100 results
integer
Change the number of results returned. e.g. limit=100 will return up to 100 results
page
Page
Paginate through results. e.g. page=1 will return first page of results
integer
Paginate through results. e.g. page=1 will return first page of results
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ParametersResponse
object
meta
Example
{ "meta": { "name": "openaq-api", "website": "/", "page": 1, "limit": 100 }}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}